Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class BranchRelationship

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.SystemObject
                  oracle.ifs.beans.TieSystemObject
                      oracle.ifs.beans.Relationship
                          oracle.ifs.beans.TieRelationship
                              oracle.ifs.beans.BranchRelationship

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  TieBranchRelationship

    public class BranchRelationship

extends TieRelationship

This feature is not supported in PRODUCTION 9.0.

The BranchRelationship class is used to relate one version series to another as the result of either a Branch operation or an integrate operation. It describes the type of operation performed as well as both of the involved VersionSeries objects and the VersionDescription objects.

(Unpublished)

Field Summary
`static java.lang.String` | `CLASS_NAME` This class name for this class.
`static java.lang.String` | `CREATEDATE_ATTRIBUTE` The date and time (in GMT) of the branch operation.
`static java.lang.String` | `CREATOR_ATTRIBUTE` The DirectoryUser that performed the branch operation.
`static java.lang.String` | `SOURCEVERSIONDESCRIPTION_ATTRIBUTE` The VersionDescription from which this branch operation originates.
`static java.lang.String` | `TARGETVERSIONDESCRIPTION_ATTRIBUTE` The VersionDescription to which this branch operation terminates.

Fields inherited from class oracle.ifs.beans.Relationship
`LEFTOBJECT_ATTRIBUTE, NAME_ATTRIBUTE, RIGHTOBJECT_ATTRIBUTE, SORTSEQUENCE_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.SystemObject
`ACTIVE_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `BranchRelationship(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Construct a BranchRelationship object - standard variant.

Method Summary
`protected static BranchRelationship` | `constructBranchRelationship(LibrarySession sess, S_LibraryObjectData data)` constructBranchRelationship - FixmeJavadocMethod
`protected static java.util.Vector` | `constructBranchRelationshipVector(LibrarySession sess, java.util.Vector vector)` constructBranchRelationshipVector - FixmeJavadocMethod
`VersionSeries` | `getChildVersionSeries()` returns the child version series in this branch relationship
`java.util.Date` | `getCreateDate()` return date this object was created.
`DirectoryObject` | `getCreator()` return the user that created this object.
`VersionSeries` | `getParentVersionSeries()` returns the parent version series in this branch relationship
`VersionDescription` | `getSourceVersionDescription()` returns the source version description in this branch relationship
`VersionDescription` | `getTargetVersionDescription()` returns the target version description in this branch relationship
`boolean` | `isOperationBranch()` returns true if the type of operation described by this relationship is a branch.
`boolean` | `isOperationIntegrate()` returns true if the type of operation described by this relationship is an integration.
`protected static BranchRelationship[]` | `vectorToBranchRelationshipArray(java.util.Vector vector)` returns a BranchRelationship array froma vector of BranchRelationships

Methods inherited from class oracle.ifs.beans.Relationship
`constructRelationship, constructRelationshipVector, getLeftObject, getRightObject, getSortSequence, hasNameAttribute, vectorToRelationshipArray`

Methods inherited from class oracle.ifs.beans.SystemObject
`addCategory, constructSystemObject, constructSystemObjectVector, free, freeCategories, getCategories, getCategories, getCategories, getCategories, getPolicyBundle, getPolicyLists, handleCreate, isActive, postCreate, postUpdate, preCreate, preUpdate, putPolicy, removeAllPolicies, removePolicy, removePolicy, setActive, setPolicyBundle, setPolicyLists`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, preFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `BranchRelationship`
  This class name for this class. Useful for methods that take a class name argument.

  See Also:
    Constant Field Values
  (Published)

### SOURCEVERSIONDESCRIPTION_ATTRIBUTE

    public static final java.lang.String SOURCEVERSIONDESCRIPTION_ATTRIBUTE

  Description copied from class: `BranchRelationship`
  The VersionDescription from which this branch operation originates.

  See Also:
    Constant Field Values
  (Published)

### TARGETVERSIONDESCRIPTION_ATTRIBUTE

    public static final java.lang.String TARGETVERSIONDESCRIPTION_ATTRIBUTE

  Description copied from class: `BranchRelationship`
  The VersionDescription to which this branch operation terminates.

  See Also:
    Constant Field Values
  (Published)

### CREATEDATE_ATTRIBUTE

    public static final java.lang.String CREATEDATE_ATTRIBUTE

  Description copied from class: `BranchRelationship`
  The date and time (in GMT) of the branch operation.

  See Also:
    Constant Field Values
  (Published)

### CREATOR_ATTRIBUTE

    public static final java.lang.String CREATOR_ATTRIBUTE

  Description copied from class: `BranchRelationship`
  The DirectoryUser that performed the branch operation.

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### BranchRelationship

    protected BranchRelationship(LibrarySession session,
                                 java.lang.Long id,
                                 java.lang.Long classId,
                                 S_LibraryObjectData data)
                          throws IfsException

  Construct a BranchRelationship object - standard variant.

  Parameters:
    `session` - current LibSession
    `id` - object ID
    `classId` - the class ID
    `data` - the object's data
  Throws:
    `IfsException`
  (Unpublished)

Method Detail

### isOperationBranch

    public boolean isOperationBranch()
                              throws IfsException

  Description copied from class: `BranchRelationship`
  returns true if the type of operation described by this relationship is a branch.

  Returns:
    true if the type of operation described by this relationship is a branch.
  Throws:
    `IfsException` - if operation fails
  (Published)

### isOperationIntegrate

    public boolean isOperationIntegrate()
                                 throws IfsException

  Description copied from class: `BranchRelationship`
  returns true if the type of operation described by this relationship is an integration.

  Returns:
    true if the type of operation described by this relationship is an integration.
  Throws:
    `IfsException` - if operation fails
  (Published)

### getParentVersionSeries

    public VersionSeries getParentVersionSeries()
                                         throws IfsException

  Description copied from class: `BranchRelationship`
  returns the parent version series in this branch relationship

  Returns:
    the parent version series in this branch relationship
  Throws:
    `IfsException` - if operation fails
  (Published)

### getChildVersionSeries

    public VersionSeries getChildVersionSeries()
                                        throws IfsException

  Description copied from class: `BranchRelationship`
  returns the child version series in this branch relationship

  Returns:
    the child version series in this branch relationship
  Throws:
    `IfsException` - if operation fails
  (Published)

### getSourceVersionDescription

    public VersionDescription getSourceVersionDescription()
                                                   throws IfsException

  Description copied from class: `BranchRelationship`
  returns the source version description in this branch relationship

  Returns:
    the source version description in this branch relationship
  Throws:
    `IfsException` - if operation fails
  (Published)

### getTargetVersionDescription

    public VersionDescription getTargetVersionDescription()
                                                   throws IfsException

  Description copied from class: `BranchRelationship`
  returns the target version description in this branch relationship

  Returns:
    the target version description in this branch relationship
  Throws:
    `IfsException` - if operation fails
  (Published)

### getCreateDate

    public java.util.Date getCreateDate()
                                 throws IfsException

  Description copied from class: `BranchRelationship`
  return date this object was created.

  Returns:
    Date of creation
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getCreator

    public DirectoryObject getCreator()
                               throws IfsException

  Description copied from class: `BranchRelationship`
  return the user that created this object.

  Returns:
    the creator
  Throws:
    `IfsException` - if operation fails.
  (Published)

### constructBranchRelationshipVector

    protected static java.util.Vector constructBranchRelationshipVector(LibrarySession sess,
                                                                        java.util.Vector vector)
                                                                 throws IfsException

  Description copied from class: `BranchRelationship`
  constructBranchRelationshipVector - FixmeJavadocMethod

  Parameters:
    `sess` - FixmeJavadocParam
    `vector` - FixmeJavadocParam
  Returns:
    Vector FixmeJavadocReturn
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### constructBranchRelationship

    protected static BranchRelationship constructBranchRelationship(LibrarySession sess,
                                                                    S_LibraryObjectData data)
                                                             throws IfsException

  Description copied from class: `BranchRelationship`
  constructBranchRelationship - FixmeJavadocMethod

  Parameters:
    `sess` - FixmeJavadocParam
    `data` - FixmeJavadocParam
  Returns:
    BranchRelationship FixmeJavadocReturn
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### vectorToBranchRelationshipArray

    protected static BranchRelationship[] vectorToBranchRelationshipArray(java.util.Vector vector)

  Description copied from class: `BranchRelationship`
  returns a BranchRelationship array froma vector of BranchRelationships

  Returns:
    a BranchRelationship array froma vector of BranchRelationships
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD